openssl issues for ASSP 16036

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

openssl issues for ASSP 16036

aquilinux
Hi again,
before upgrading to 16036 i compiled and installed openssl 1.0.1r on ubuntu
14.04
i made a deb package via checkinstall but when i installed it i had to
remove libssl-dev due to package conflicts.
old version of assp was showing then:

                       OpenSSL 1.0.1r 1.0.1r / 0.9.8

After the upgrade. i see now:

                       Net::SSLeay 1.58 / 1.72
                       OpenSSL 1.0.1r 1.0.1r / 0.9.8
                       OpenSSL-lib 1.0.1f 6 Jan 2014 1.0.1f / 1.0.1h

Net::SSLeay won't upgrade throwing an error:

/usr/bin/ld:
/usr/lib/gcc/x86_64-linux-gnu/4.8/../../../../lib/libcrypto.a(obj_dat.o):
relocation R_X86_64_32S against `.rodata' can not be used when making a
shared object; recompile with -fPIC

should i really recompile with -fPIC to get it working or the message is
misleading?

do you have any suggestion?

ASSP is not complaining about this, i only have the version warning in perl
modules page.

thanks!




--
"Madness, like small fish, runs in hosts, in vast numbers of instances."

Nessuno mi pettina bene come il vento.

------------------------------------------------------------------------------
Site24x7 APM Insight: Get Deep Visibility into Application Performance
APM + Mobile APM + RUM: Monitor 3 App instances at just $35/Month
Monitor end-to-end web transactions and take corrective actions now
Troubleshoot faster and improve end-user experience. Signup Now!
http://pubads.g.doubleclick.net/gampad/clk?id=272487151&iu=/4140
_______________________________________________
Assp-user mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/assp-user
Reply | Threaded
Open this post in threaded view
|

Re: openssl issues for ASSP 16036

Thomas Eckardt/eck
IMHO if openssl is compiled using -fPIC, Net::SSLeay has to be compiled
the same way.

Thomas





Von:    aquilinux <[hidden email]>
An:     For Users of ASSP <[hidden email]>
Datum:  24.02.2016 14:47
Betreff:        [Assp-user] openssl issues for ASSP 16036



Hi again,
before upgrading to 16036 i compiled and installed openssl 1.0.1r on
ubuntu
14.04
i made a deb package via checkinstall but when i installed it i had to
remove libssl-dev due to package conflicts.
old version of assp was showing then:

                       OpenSSL 1.0.1r 1.0.1r / 0.9.8

After the upgrade. i see now:

                       Net::SSLeay 1.58 / 1.72
                       OpenSSL 1.0.1r 1.0.1r / 0.9.8
                       OpenSSL-lib 1.0.1f 6 Jan 2014 1.0.1f / 1.0.1h

Net::SSLeay won't upgrade throwing an error:

/usr/bin/ld:
/usr/lib/gcc/x86_64-linux-gnu/4.8/../../../../lib/libcrypto.a(obj_dat.o):
relocation R_X86_64_32S against `.rodata' can not be used when making a
shared object; recompile with -fPIC

should i really recompile with -fPIC to get it working or the message is
misleading?

do you have any suggestion?

ASSP is not complaining about this, i only have the version warning in
perl
modules page.

thanks!




--
"Madness, like small fish, runs in hosts, in vast numbers of instances."

Nessuno mi pettina bene come il vento.
------------------------------------------------------------------------------
Site24x7 APM Insight: Get Deep Visibility into Application Performance
APM + Mobile APM + RUM: Monitor 3 App instances at just $35/Month
Monitor end-to-end web transactions and take corrective actions now
Troubleshoot faster and improve end-user experience. Signup Now!
http://pubads.g.doubleclick.net/gampad/clk?id=272487151&iu=/4140
_______________________________________________
Assp-user mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/assp-user




DISCLAIMER:
*******************************************************
This email and any files transmitted with it may be confidential, legally
privileged and protected in law and are intended solely for the use of the

individual to whom it is addressed.
This email was multiple times scanned for viruses. There should be no
known virus in this email!
*******************************************************


------------------------------------------------------------------------------
Site24x7 APM Insight: Get Deep Visibility into Application Performance
APM + Mobile APM + RUM: Monitor 3 App instances at just $35/Month
Monitor end-to-end web transactions and take corrective actions now
Troubleshoot faster and improve end-user experience. Signup Now!
http://pubads.g.doubleclick.net/gampad/clk?id=272487151&iu=/4140
_______________________________________________
Assp-user mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/assp-user
Reply | Threaded
Open this post in threaded view
|

Re: openssl issues for ASSP 16036

aquilinux
but, openssl has been compiled (configured) without any flag...
and i only did a cpan -f -i Net::SSLeay.

On Wed, Feb 24, 2016 at 3:48 PM, Thomas Eckardt <[hidden email]>
wrote:

> IMHO if openssl is compiled using -fPIC, Net::SSLeay has to be compiled
> the same way.
>
> Thomas
>
>
>
>
>
> Von:    aquilinux <[hidden email]>
> An:     For Users of ASSP <[hidden email]>
> Datum:  24.02.2016 14:47
> Betreff:        [Assp-user] openssl issues for ASSP 16036
>
>
>
> Hi again,
> before upgrading to 16036 i compiled and installed openssl 1.0.1r on
> ubuntu
> 14.04
> i made a deb package via checkinstall but when i installed it i had to
> remove libssl-dev due to package conflicts.
> old version of assp was showing then:
>
>                        OpenSSL 1.0.1r 1.0.1r / 0.9.8
>
> After the upgrade. i see now:
>
>                        Net::SSLeay 1.58 / 1.72
>                        OpenSSL 1.0.1r 1.0.1r / 0.9.8
>                        OpenSSL-lib 1.0.1f 6 Jan 2014 1.0.1f / 1.0.1h
>
> Net::SSLeay won't upgrade throwing an error:
>
> /usr/bin/ld:
> /usr/lib/gcc/x86_64-linux-gnu/4.8/../../../../lib/libcrypto.a(obj_dat.o):
> relocation R_X86_64_32S against `.rodata' can not be used when making a
> shared object; recompile with -fPIC
>
> should i really recompile with -fPIC to get it working or the message is
> misleading?
>
> do you have any suggestion?
>
> ASSP is not complaining about this, i only have the version warning in
> perl
> modules page.
>
> thanks!
>
>
>
>
> --
> "Madness, like small fish, runs in hosts, in vast numbers of instances."
>
> Nessuno mi pettina bene come il vento.
>
> ------------------------------------------------------------------------------
> Site24x7 APM Insight: Get Deep Visibility into Application Performance
> APM + Mobile APM + RUM: Monitor 3 App instances at just $35/Month
> Monitor end-to-end web transactions and take corrective actions now
> Troubleshoot faster and improve end-user experience. Signup Now!
> http://pubads.g.doubleclick.net/gampad/clk?id=272487151&iu=/4140
> _______________________________________________
> Assp-user mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/assp-user
>
>
>
>
> DISCLAIMER:
> *******************************************************
> This email and any files transmitted with it may be confidential, legally
> privileged and protected in law and are intended solely for the use of the
>
> individual to whom it is addressed.
> This email was multiple times scanned for viruses. There should be no
> known virus in this email!
> *******************************************************
>
>
>
> ------------------------------------------------------------------------------
> Site24x7 APM Insight: Get Deep Visibility into Application Performance
> APM + Mobile APM + RUM: Monitor 3 App instances at just $35/Month
> Monitor end-to-end web transactions and take corrective actions now
> Troubleshoot faster and improve end-user experience. Signup Now!
> http://pubads.g.doubleclick.net/gampad/clk?id=272487151&iu=/4140
> _______________________________________________
> Assp-user mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/assp-user
>
>

--
"Madness, like small fish, runs in hosts, in vast numbers of instances."

Nessuno mi pettina bene come il vento.

------------------------------------------------------------------------------
Site24x7 APM Insight: Get Deep Visibility into Application Performance
APM + Mobile APM + RUM: Monitor 3 App instances at just $35/Month
Monitor end-to-end web transactions and take corrective actions now
Troubleshoot faster and improve end-user experience. Signup Now!
http://pubads.g.doubleclick.net/gampad/clk?id=272487151&iu=/4140
_______________________________________________
Assp-user mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/assp-user
Reply | Threaded
Open this post in threaded view
|

Re: openssl issues for ASSP 16036

aquilinux
In reply to this post by Thomas Eckardt/eck
ok, i recomplied openssl with -fPIC flag and i managed to compile and
install Net::SSLeay 1.72
now assp is correctly reporting updated modules.
one more question: i now see

OpenSSL-lib 1.0.1r 28 Jan 2016 1.0.1r / 1.0.1h

but the part "1.0.1r / 1.0.1h" is still RED, as if the module is not
meeting the recommended version.
is this a bug?




On Wed, Feb 24, 2016 at 3:48 PM, Thomas Eckardt <[hidden email]>
wrote:

> IMHO if openssl is compiled using -fPIC, Net::SSLeay has to be compiled
> the same way.
>
> Thomas
>
>
>
>
>
> Von:    aquilinux <[hidden email]>
> An:     For Users of ASSP <[hidden email]>
> Datum:  24.02.2016 14:47
> Betreff:        [Assp-user] openssl issues for ASSP 16036
>
>
>
> Hi again,
> before upgrading to 16036 i compiled and installed openssl 1.0.1r on
> ubuntu
> 14.04
> i made a deb package via checkinstall but when i installed it i had to
> remove libssl-dev due to package conflicts.
> old version of assp was showing then:
>
>                        OpenSSL 1.0.1r 1.0.1r / 0.9.8
>
> After the upgrade. i see now:
>
>                        Net::SSLeay 1.58 / 1.72
>                        OpenSSL 1.0.1r 1.0.1r / 0.9.8
>                        OpenSSL-lib 1.0.1f 6 Jan 2014 1.0.1f / 1.0.1h
>
> Net::SSLeay won't upgrade throwing an error:
>
> /usr/bin/ld:
> /usr/lib/gcc/x86_64-linux-gnu/4.8/../../../../lib/libcrypto.a(obj_dat.o):
> relocation R_X86_64_32S against `.rodata' can not be used when making a
> shared object; recompile with -fPIC
>
> should i really recompile with -fPIC to get it working or the message is
> misleading?
>
> do you have any suggestion?
>
> ASSP is not complaining about this, i only have the version warning in
> perl
> modules page.
>
> thanks!
>
>
>
>
> --
> "Madness, like small fish, runs in hosts, in vast numbers of instances."
>
> Nessuno mi pettina bene come il vento.
>
> ------------------------------------------------------------------------------
> Site24x7 APM Insight: Get Deep Visibility into Application Performance
> APM + Mobile APM + RUM: Monitor 3 App instances at just $35/Month
> Monitor end-to-end web transactions and take corrective actions now
> Troubleshoot faster and improve end-user experience. Signup Now!
> http://pubads.g.doubleclick.net/gampad/clk?id=272487151&iu=/4140
> _______________________________________________
> Assp-user mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/assp-user
>
>
>
>
> DISCLAIMER:
> *******************************************************
> This email and any files transmitted with it may be confidential, legally
> privileged and protected in law and are intended solely for the use of the
>
> individual to whom it is addressed.
> This email was multiple times scanned for viruses. There should be no
> known virus in this email!
> *******************************************************
>
>
>
> ------------------------------------------------------------------------------
> Site24x7 APM Insight: Get Deep Visibility into Application Performance
> APM + Mobile APM + RUM: Monitor 3 App instances at just $35/Month
> Monitor end-to-end web transactions and take corrective actions now
> Troubleshoot faster and improve end-user experience. Signup Now!
> http://pubads.g.doubleclick.net/gampad/clk?id=272487151&iu=/4140
> _______________________________________________
> Assp-user mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/assp-user
>
>

--
"Madness, like small fish, runs in hosts, in vast numbers of instances."

Nessuno mi pettina bene come il vento.

------------------------------------------------------------------------------
Site24x7 APM Insight: Get Deep Visibility into Application Performance
APM + Mobile APM + RUM: Monitor 3 App instances at just $35/Month
Monitor end-to-end web transactions and take corrective actions now
Troubleshoot faster and improve end-user experience. Signup Now!
http://pubads.g.doubleclick.net/gampad/clk?id=272487151&iu=/4140
_______________________________________________
Assp-user mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/assp-user
Reply | Threaded
Open this post in threaded view
|

Re: openssl issues for ASSP 16036

Thomas Eckardt/eck
>is this a bug?

I think - yes!

Thomas



Von:    aquilinux <[hidden email]>
An:     For Users of ASSP <[hidden email]>
Datum:  24.02.2016 16:18
Betreff:        Re: [Assp-user] openssl issues for ASSP 16036



ok, i recomplied openssl with -fPIC flag and i managed to compile and
install Net::SSLeay 1.72
now assp is correctly reporting updated modules.
one more question: i now see

OpenSSL-lib 1.0.1r 28 Jan 2016 1.0.1r / 1.0.1h

but the part "1.0.1r / 1.0.1h" is still RED, as if the module is not
meeting the recommended version.
is this a bug?




On Wed, Feb 24, 2016 at 3:48 PM, Thomas Eckardt
<[hidden email]>
wrote:

> IMHO if openssl is compiled using -fPIC, Net::SSLeay has to be compiled
> the same way.
>
> Thomas
>
>
>
>
>
> Von:    aquilinux <[hidden email]>
> An:     For Users of ASSP <[hidden email]>
> Datum:  24.02.2016 14:47
> Betreff:        [Assp-user] openssl issues for ASSP 16036
>
>
>
> Hi again,
> before upgrading to 16036 i compiled and installed openssl 1.0.1r on
> ubuntu
> 14.04
> i made a deb package via checkinstall but when i installed it i had to
> remove libssl-dev due to package conflicts.
> old version of assp was showing then:
>
>                        OpenSSL 1.0.1r 1.0.1r / 0.9.8
>
> After the upgrade. i see now:
>
>                        Net::SSLeay 1.58 / 1.72
>                        OpenSSL 1.0.1r 1.0.1r / 0.9.8
>                        OpenSSL-lib 1.0.1f 6 Jan 2014 1.0.1f / 1.0.1h
>
> Net::SSLeay won't upgrade throwing an error:
>
> /usr/bin/ld:
>
/usr/lib/gcc/x86_64-linux-gnu/4.8/../../../../lib/libcrypto.a(obj_dat.o):

> relocation R_X86_64_32S against `.rodata' can not be used when making a
> shared object; recompile with -fPIC
>
> should i really recompile with -fPIC to get it working or the message is
> misleading?
>
> do you have any suggestion?
>
> ASSP is not complaining about this, i only have the version warning in
> perl
> modules page.
>
> thanks!
>
>
>
>
> --
> "Madness, like small fish, runs in hosts, in vast numbers of instances."
>
> Nessuno mi pettina bene come il vento.
>
>
------------------------------------------------------------------------------

> Site24x7 APM Insight: Get Deep Visibility into Application Performance
> APM + Mobile APM + RUM: Monitor 3 App instances at just $35/Month
> Monitor end-to-end web transactions and take corrective actions now
> Troubleshoot faster and improve end-user experience. Signup Now!
> http://pubads.g.doubleclick.net/gampad/clk?id=272487151&iu=/4140
> _______________________________________________
> Assp-user mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/assp-user
>
>
>
>
> DISCLAIMER:
> *******************************************************
> This email and any files transmitted with it may be confidential,
legally
> privileged and protected in law and are intended solely for the use of
the
>
> individual to whom it is addressed.
> This email was multiple times scanned for viruses. There should be no
> known virus in this email!
> *******************************************************
>
>
>
>
------------------------------------------------------------------------------

> Site24x7 APM Insight: Get Deep Visibility into Application Performance
> APM + Mobile APM + RUM: Monitor 3 App instances at just $35/Month
> Monitor end-to-end web transactions and take corrective actions now
> Troubleshoot faster and improve end-user experience. Signup Now!
> http://pubads.g.doubleclick.net/gampad/clk?id=272487151&iu=/4140
> _______________________________________________
> Assp-user mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/assp-user
>
>

--
"Madness, like small fish, runs in hosts, in vast numbers of instances."

Nessuno mi pettina bene come il vento.
------------------------------------------------------------------------------
Site24x7 APM Insight: Get Deep Visibility into Application Performance
APM + Mobile APM + RUM: Monitor 3 App instances at just $35/Month
Monitor end-to-end web transactions and take corrective actions now
Troubleshoot faster and improve end-user experience. Signup Now!
http://pubads.g.doubleclick.net/gampad/clk?id=272487151&iu=/4140
_______________________________________________
Assp-user mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/assp-user




DISCLAIMER:
*******************************************************
This email and any files transmitted with it may be confidential, legally
privileged and protected in law and are intended solely for the use of the

individual to whom it is addressed.
This email was multiple times scanned for viruses. There should be no
known virus in this email!
*******************************************************


------------------------------------------------------------------------------
Site24x7 APM Insight: Get Deep Visibility into Application Performance
APM + Mobile APM + RUM: Monitor 3 App instances at just $35/Month
Monitor end-to-end web transactions and take corrective actions now
Troubleshoot faster and improve end-user experience. Signup Now!
http://pubads.g.doubleclick.net/gampad/clk?id=272487151&iu=/4140
_______________________________________________
Assp-user mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/assp-user